Page MenuHomePhabricator

Deploy action blocks to pilot wikis
Closed, ResolvedPublic

Description

Given the additional engineering investment needed for T280808: Decide how to define action block IDs for extension actions, per @Niharika we won't block on that and instead move forward w/deploying onto pilot wikis so we can being to gather feedback.

Related Objects

Event Timeline

From T280808#8152977:

The cs.wikipedia deployment for Action Blocks was originally meant to happen today (Aug 11, 2022).

@Niharika I know there's a talk page somewhere confirming cswiki as a pilot wiki but can't find it atm, could you link it? 🙇

Change 824395 had a related patch set uploaded (by STran; author: STran):

[operations/mediawiki-config@master] Deploy partial action blocks to cswiki

https://gerrit.wikimedia.org/r/824395

From T280808#8152977:

The cs.wikipedia deployment for Action Blocks was originally meant to happen today (Aug 11, 2022).

@Niharika I know there's a talk page somewhere confirming cswiki as a pilot wiki but can't find it atm, could you link it? 🙇

Hi @STran, it's at https://cs.wikipedia.org/wiki/Wikipedie:Pod_l%C3%ADpou#N%C3%A1vrh_%E2%80%93_nasazen%C3%AD_vylep%C5%A1en%C3%BDch_%C4%8D%C3%A1ste%C4%8Dn%C3%BDch_blok%C5%AF :).

Change 824395 merged by jenkins-bot:

[operations/mediawiki-config@master] Deploy partial action blocks to cswiki

https://gerrit.wikimedia.org/r/824395

Mentioned in SAL (#wikimedia-operations) [2022-08-18T20:09:56Z] <brennen@deploy1002> Started scap: [[gerrit:824395|Deploy partial action blocks to cswiki (T315525)]]

Mentioned in SAL (#wikimedia-operations) [2022-08-18T20:29:12Z] <brennen@deploy1002> Finished scap: [[gerrit:824395|Deploy partial action blocks to cswiki (T315525)]] (duration: 19m 16s)

Thanks!

Just deployed to cswiki. Tossing this ticket back into our backlog until there's something else actionable on it.

Farsi Wikipedia reached consensus to deploy the feature on their wiki.

Change 829012 had a related patch set uploaded (by Tchanders; author: Tchanders):

[operations/mediawiki-config@master] Enable partial action blocks on fawiki

https://gerrit.wikimedia.org/r/829012

Change 829012 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable partial action blocks on fawiki

https://gerrit.wikimedia.org/r/829012

Mentioned in SAL (#wikimedia-operations) [2022-09-05T13:09:07Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: edbcee4d9a901ce475ebcc53e4c4bc18e04bc2b8: Enable partial action blocks on fawiki (T315525) (duration: 03m 34s)

Hi @Niharika, sorry for the trouble, I was waiting for it to be deployed in all the projects but, given that the times are not short (also because I know that the priority is rightly the IP mask), I'd like to know if it was possible to add another wiki (specifically itwiki) among the pilot wikis. It'd be a very useful function for this project, since itwiki is also the only project in which wgBlockAllowsUTEdit' is not enabled, and this would be a way to avoid full blocks - which blocks also the user talk page - in some cases! If possible, I'll open a local discussion right away, but I think there will certainly be consensus. I understand that it's not a priority and I don't want to abuse the available resources but, given the long timescale, this function would be a convenience rn! Many thanks :)

I’ve opened a community discussion about enabling this feature in Russian Wikipedia:
https://ru.wikipedia.org/wiki/Википедия:Форум/Предложения#Частичные_блокировки_на_действия

Is it still true that the list of pilot wikis could be expanded if there is a community consensus for it?

Chinese Wikipedia has unanimous, unrivalled support for early-access deployment, I have added the relevant task to the description.

After Chinese Wikipedia's deployment, we will not accept any more pilot wikis. Instead, we plan to deploy to all wikis. The plan for complete rollout is outlined in T280531: Enable partial action blocks on all Wikimedia production wikis and in MediaWiki by default.

Dreamy_Jazz subscribed.

All wikis listed here have had partial action blocks deployed through T353495.